#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settings_appearance.ui'
**
** Created: 2012-11-10T12:12:14
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settings_appearance.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qslider.h>
#include <knuminput.h>
#include <kfontcombo.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Akregator::SettingsAppearance as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Akregator::SettingsAppearance::SettingsAppearance( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SettingsAppearance" );
    SettingsAppearanceLayout = new QVBoxLayout( this, 0, 6, "SettingsAppearanceLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    lbl_MinimumFontSize = new QLabel( groupBox3, "lbl_MinimumFontSize" );

    groupBox3Layout->addMultiCellWidget( lbl_MinimumFontSize, 0, 0, 0, 1 );

    slider_minimumFontSize = new QSlider( groupBox3, "slider_minimumFontSize" );
    slider_minimumFontSize->setMinValue( 2 );
    slider_minimumFontSize->setMaxValue( 30 );
    slider_minimumFontSize->setValue( 8 );
    slider_minimumFontSize->setOrientation( QSlider::Horizontal );
    slider_minimumFontSize->setTickmarks( QSlider::Below );
    slider_minimumFontSize->setTickInterval( 3 );

    groupBox3Layout->addWidget( slider_minimumFontSize, 1, 0 );

    kcfg_MinimumFontSize = new KIntSpinBox( groupBox3, "kcfg_MinimumFontSize" );
    kcfg_MinimumFontSize->setValue( 8 );

    groupBox3Layout->addWidget( kcfg_MinimumFontSize, 1, 1 );

    lbl_MediumFontSize = new QLabel( groupBox3, "lbl_MediumFontSize" );

    groupBox3Layout->addMultiCellWidget( lbl_MediumFontSize, 2, 2, 0, 1 );

    slider_mediumFontSize = new QSlider( groupBox3, "slider_mediumFontSize" );
    slider_mediumFontSize->setMinValue( 2 );
    slider_mediumFontSize->setMaxValue( 30 );
    slider_mediumFontSize->setValue( 12 );
    slider_mediumFontSize->setOrientation( QSlider::Horizontal );
    slider_mediumFontSize->setTickmarks( QSlider::Below );
    slider_mediumFontSize->setTickInterval( 3 );

    groupBox3Layout->addWidget( slider_mediumFontSize, 3, 0 );

    kcfg_MediumFontSize = new KIntSpinBox( groupBox3, "kcfg_MediumFontSize" );
    kcfg_MediumFontSize->setValue( 12 );

    groupBox3Layout->addWidget( kcfg_MediumFontSize, 3, 1 );
    SettingsAppearanceLayout->addWidget( groupBox3 );

    FontsGroupBox = new QGroupBox( this, "FontsGroupBox" );
    FontsGroupBox->setColumnLayout(0, Qt::Vertical );
    FontsGroupBox->layout()->setSpacing( 6 );
    FontsGroupBox->layout()->setMargin( 11 );
    FontsGroupBoxLayout = new QGridLayout( FontsGroupBox->layout() );
    FontsGroupBoxLayout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( FontsGroupBox, "textLabel1" );

    FontsGroupBoxLayout->addWidget( textLabel1, 0, 0 );

    kcfg_StandardFont = new KFontCombo( FontsGroupBox, "kcfg_StandardFont" );

    FontsGroupBoxLayout->addWidget( kcfg_StandardFont, 0, 1 );

    textLabel2_2 = new QLabel( FontsGroupBox, "textLabel2_2" );

    FontsGroupBoxLayout->addWidget( textLabel2_2, 1, 0 );

    kcfg_FixedFont = new KFontCombo( FontsGroupBox, "kcfg_FixedFont" );

    FontsGroupBoxLayout->addWidget( kcfg_FixedFont, 1, 1 );

    textLabel3 = new QLabel( FontsGroupBox, "textLabel3" );

    FontsGroupBoxLayout->addWidget( textLabel3, 2, 0 );

    kcfg_SerifFont = new KFontCombo( FontsGroupBox, "kcfg_SerifFont" );

    FontsGroupBoxLayout->addWidget( kcfg_SerifFont, 2, 1 );

    textLabel4 = new QLabel( FontsGroupBox, "textLabel4" );

    FontsGroupBoxLayout->addWidget( textLabel4, 3, 0 );

    kcfg_SansSerifFont = new KFontCombo( FontsGroupBox, "kcfg_SansSerifFont" );

    FontsGroupBoxLayout->addWidget( kcfg_SansSerifFont, 3, 1 );
    SettingsAppearanceLayout->addWidget( FontsGroupBox );

    kcfg_UnderlineLinks = new QCheckBox( this, "kcfg_UnderlineLinks" );
    SettingsAppearanceLayout->addWidget( kcfg_UnderlineLinks );
    spacer1 = new QSpacerItem( 20, 41, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SettingsAppearanceLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(418, 377).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_MediumFontSize, SIGNAL( valueChanged(int) ), slider_mediumFontSize, SLOT( setValue(int) ) );
    connect( slider_mediumFontSize, SIGNAL( valueChanged(int) ), kcfg_MediumFontSize, SLOT( setValue(int) ) );
    connect( kcfg_MinimumFontSize, SIGNAL( valueChanged(int) ), slider_minimumFontSize, SLOT( setValue(int) ) );
    connect( slider_minimumFontSize, SIGNAL( valueChanged(int) ), kcfg_MinimumFontSize, SLOT( setValue(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Akregator::SettingsAppearance::~SettingsAppearance()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Akregator::SettingsAppearance::languageChange()
{
    setCaption( tr2i18n( "General" ) );
    groupBox3->setTitle( tr2i18n( "Font Size" ) );
    lbl_MinimumFontSize->setText( tr2i18n( "Minimum font size:" ) );
    lbl_MediumFontSize->setText( tr2i18n( "Medium font size:" ) );
    FontsGroupBox->setTitle( tr2i18n( "Fonts" ) );
    textLabel1->setText( tr2i18n( "Standard font:" ) );
    textLabel2_2->setText( tr2i18n( "Fixed font:" ) );
    textLabel3->setText( tr2i18n( "Serif font:" ) );
    textLabel4->setText( tr2i18n( "Sans serif font:" ) );
    kcfg_UnderlineLinks->setText( tr2i18n( "&Underline links" ) );
}

/****************************************************************************
** Akregator::SettingsAppearance meta object code from reading C++ file 'settings_appearance.h'
**
** Created: Sat Nov 10 12:12:14 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "settings_appearance.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *Akregator::SettingsAppearance::className() const
{
    return "Akregator::SettingsAppearance";
}

QMetaObject *Akregator::SettingsAppearance::metaObj = 0;
static QMetaObjectCleanUp cleanUp_Akregator__SettingsAppearance( "Akregator::SettingsAppearance", &Akregator::SettingsAppearance::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString Akregator::SettingsAppearance::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsAppearance", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString Akregator::SettingsAppearance::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsAppearance", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* Akregator::SettingsAppearance::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"Akregator::SettingsAppearance", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_Akregator__SettingsAppearance.setMetaObject( metaObj );
    return metaObj;
}

void* Akregator::SettingsAppearance::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Akregator::SettingsAppearance" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool Akregator::SettingsAppearance::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool Akregator::SettingsAppearance::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool Akregator::SettingsAppearance::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool Akregator::SettingsAppearance::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
