#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settings_browser.ui'
**
** Created: 2012-11-10T12:12:16
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settings_browser.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Akregator::SettingsBrowser as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Akregator::SettingsBrowser::SettingsBrowser( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SettingsBrowser" );
    SettingsBrowserLayout = new QGridLayout( this, 1, 1, 0, 6, "SettingsBrowserLayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setExclusive( FALSE );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    kcfg_ExternalBrowserUseKdeDefault = new QRadioButton( buttonGroup1, "kcfg_ExternalBrowserUseKdeDefault" );
    kcfg_ExternalBrowserUseKdeDefault->setChecked( TRUE );

    buttonGroup1Layout->addMultiCellWidget( kcfg_ExternalBrowserUseKdeDefault, 0, 0, 0, 1 );

    kcfg_ExternalBrowserUseCustomCommand = new QRadioButton( buttonGroup1, "kcfg_ExternalBrowserUseCustomCommand" );

    buttonGroup1Layout->addWidget( kcfg_ExternalBrowserUseCustomCommand, 1, 0 );

    kcfg_ExternalBrowserCustomCommand = new QLineEdit( buttonGroup1, "kcfg_ExternalBrowserCustomCommand" );
    kcfg_ExternalBrowserCustomCommand->setEnabled( FALSE );

    buttonGroup1Layout->addWidget( kcfg_ExternalBrowserCustomCommand, 1, 1 );

    SettingsBrowserLayout->addWidget( buttonGroup1, 1, 0 );

    kcfg_CloseButtonOnTabs = new QCheckBox( this, "kcfg_CloseButtonOnTabs" );

    SettingsBrowserLayout->addWidget( kcfg_CloseButtonOnTabs, 2, 0 );
    spacer1 = new QSpacerItem( 31, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SettingsBrowserLayout->addItem( spacer1, 3, 0 );

    layout2 = new QGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    kcfg_LMBBehaviour = new QComboBox( FALSE, this, "kcfg_LMBBehaviour" );
    kcfg_LMBBehaviour->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, kcfg_LMBBehaviour->sizePolicy().hasHeightForWidth() ) );

    layout2->addWidget( kcfg_LMBBehaviour, 0, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );

    layout2->addWidget( textLabel1, 1, 0 );

    textLabel1_3 = new QLabel( this, "textLabel1_3" );
    textLabel1_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, textLabel1_3->sizePolicy().hasHeightForWidth() ) );

    layout2->addWidget( textLabel1_3, 0, 0 );

    kcfg_MMBBehaviour = new QComboBox( FALSE, this, "kcfg_MMBBehaviour" );
    kcfg_MMBBehaviour->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, kcfg_MMBBehaviour->sizePolicy().hasHeightForWidth() ) );

    layout2->addWidget( kcfg_MMBBehaviour, 1, 1 );

    SettingsBrowserLayout->addLayout( layout2, 0, 0 );
    languageChange();
    resize( QSize(340, 299).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_ExternalBrowserUseCustomCommand, SIGNAL( toggled(bool) ), kcfg_ExternalBrowserCustomCommand, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Akregator::SettingsBrowser::~SettingsBrowser()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Akregator::SettingsBrowser::languageChange()
{
    setCaption( tr2i18n( "ExternalBrowser" ) );
    buttonGroup1->setTitle( tr2i18n( "For External Browsing" ) );
    kcfg_ExternalBrowserUseKdeDefault->setText( tr2i18n( "Use default KDE web browser" ) );
    kcfg_ExternalBrowserUseCustomCommand->setText( tr2i18n( "Use this command:" ) );
    kcfg_ExternalBrowserCustomCommand->setText( tr2i18n( "firefox %u" ) );
    kcfg_CloseButtonOnTabs->setText( tr2i18n( "Show tab close button on hover" ) );
    kcfg_LMBBehaviour->clear();
    kcfg_LMBBehaviour->insertItem( tr2i18n( "Open in Tab" ) );
    kcfg_LMBBehaviour->insertItem( tr2i18n( "Open in Background Tab" ) );
    kcfg_LMBBehaviour->insertItem( tr2i18n( "Open in External Browser" ) );
    textLabel1->setText( tr2i18n( "Middle mouse click:" ) );
    textLabel1_3->setText( tr2i18n( "Left mouse click:" ) );
    kcfg_MMBBehaviour->clear();
    kcfg_MMBBehaviour->insertItem( tr2i18n( "Open in Tab" ) );
    kcfg_MMBBehaviour->insertItem( tr2i18n( "Open in Background Tab" ) );
    kcfg_MMBBehaviour->insertItem( tr2i18n( "Open in External Browser" ) );
}

/****************************************************************************
** Akregator::SettingsBrowser meta object code from reading C++ file 'settings_browser.h'
**
** Created: Sat Nov 10 12:12:16 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "settings_browser.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *Akregator::SettingsBrowser::className() const
{
    return "Akregator::SettingsBrowser";
}

QMetaObject *Akregator::SettingsBrowser::metaObj = 0;
static QMetaObjectCleanUp cleanUp_Akregator__SettingsBrowser( "Akregator::SettingsBrowser", &Akregator::SettingsBrowser::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString Akregator::SettingsBrowser::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsBrowser", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString Akregator::SettingsBrowser::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsBrowser", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* Akregator::SettingsBrowser::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"Akregator::SettingsBrowser", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_Akregator__SettingsBrowser.setMetaObject( metaObj );
    return metaObj;
}

void* Akregator::SettingsBrowser::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Akregator::SettingsBrowser" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool Akregator::SettingsBrowser::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool Akregator::SettingsBrowser::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool Akregator::SettingsBrowser::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool Akregator::SettingsBrowser::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
