#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settings_advancedbase.ui'
**
** Created: 2012-11-10T12:12:13
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settings_advancedbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Akregator::SettingsAdvancedBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Akregator::SettingsAdvancedBase::SettingsAdvancedBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SettingsAdvanced" );
    SettingsAdvancedLayout = new QGridLayout( this, 1, 1, 11, 6, "SettingsAdvancedLayout"); 

    groupBox3_3_2 = new QGroupBox( this, "groupBox3_3_2" );
    groupBox3_3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_3_2->layout()->setSpacing( 6 );
    groupBox3_3_2->layout()->setMargin( 11 );
    groupBox3_3_2Layout = new QHBoxLayout( groupBox3_3_2->layout() );
    groupBox3_3_2Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( groupBox3_3_2, "textLabel1" );
    groupBox3_3_2Layout->addWidget( textLabel1 );

    cbBackend = new KComboBox( FALSE, groupBox3_3_2, "cbBackend" );
    groupBox3_3_2Layout->addWidget( cbBackend );

    pbBackendConfigure = new QPushButton( groupBox3_3_2, "pbBackendConfigure" );
    groupBox3_3_2Layout->addWidget( pbBackendConfigure );

    SettingsAdvancedLayout->addWidget( groupBox3_3_2, 0, 0 );

    groupBox3_3 = new QGroupBox( this, "groupBox3_3" );
    groupBox3_3->setColumnLayout(0, Qt::Vertical );
    groupBox3_3->layout()->setSpacing( 6 );
    groupBox3_3->layout()->setMargin( 11 );
    groupBox3_3Layout = new QGridLayout( groupBox3_3->layout() );
    groupBox3_3Layout->setAlignment( Qt::AlignTop );

    kcfg_MarkReadDelay = new QSpinBox( groupBox3_3, "kcfg_MarkReadDelay" );
    kcfg_MarkReadDelay->setEnabled( TRUE );
    kcfg_MarkReadDelay->setValue( 0 );

    groupBox3_3Layout->addWidget( kcfg_MarkReadDelay, 0, 1 );
    spacer4 = new QSpacerItem( 174, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3_3Layout->addItem( spacer4, 0, 2 );

    kcfg_ResetQuickFilterOnNodeChange = new QCheckBox( groupBox3_3, "kcfg_ResetQuickFilterOnNodeChange" );
    kcfg_ResetQuickFilterOnNodeChange->setChecked( TRUE );
    kcfg_ResetQuickFilterOnNodeChange->setTristate( FALSE );

    groupBox3_3Layout->addMultiCellWidget( kcfg_ResetQuickFilterOnNodeChange, 1, 1, 0, 1 );

    kcfg_UseMarkReadDelay = new QCheckBox( groupBox3_3, "kcfg_UseMarkReadDelay" );
    kcfg_UseMarkReadDelay->setChecked( TRUE );

    groupBox3_3Layout->addWidget( kcfg_UseMarkReadDelay, 0, 0 );

    SettingsAdvancedLayout->addWidget( groupBox3_3, 1, 0 );
    spacer2 = new QSpacerItem( 21, 260, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SettingsAdvancedLayout->addItem( spacer2, 2, 0 );
    languageChange();
    resize( QSize(476, 486).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_UseMarkReadDelay, SIGNAL( toggled(bool) ), kcfg_MarkReadDelay, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Akregator::SettingsAdvancedBase::~SettingsAdvancedBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Akregator::SettingsAdvancedBase::languageChange()
{
    setCaption( tr2i18n( "SettingsAdvanced" ) );
    groupBox3_3_2->setTitle( tr2i18n( "Archive" ) );
    textLabel1->setText( tr2i18n( "Archive backend:" ) );
    pbBackendConfigure->setText( tr2i18n( "&Configure..." ) );
    groupBox3_3->setTitle( tr2i18n( "Article List" ) );
    kcfg_MarkReadDelay->setSuffix( tr2i18n( " sec" ) );
    kcfg_ResetQuickFilterOnNodeChange->setText( tr2i18n( "Reset search bar when changing feeds" ) );
    kcfg_UseMarkReadDelay->setText( tr2i18n( "Mar&k selected article read after" ) );
}

/****************************************************************************
** Akregator::SettingsAdvancedBase meta object code from reading C++ file 'settings_advancedbase.h'
**
** Created: Sat Nov 10 12:12:13 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "settings_advancedbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *Akregator::SettingsAdvancedBase::className() const
{
    return "Akregator::SettingsAdvancedBase";
}

QMetaObject *Akregator::SettingsAdvancedBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_Akregator__SettingsAdvancedBase( "Akregator::SettingsAdvancedBase", &Akregator::SettingsAdvancedBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString Akregator::SettingsAdvancedBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsAdvancedBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString Akregator::SettingsAdvancedBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsAdvancedBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* Akregator::SettingsAdvancedBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"Akregator::SettingsAdvancedBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_Akregator__SettingsAdvancedBase.setMetaObject( metaObj );
    return metaObj;
}

void* Akregator::SettingsAdvancedBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Akregator::SettingsAdvancedBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool Akregator::SettingsAdvancedBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool Akregator::SettingsAdvancedBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool Akregator::SettingsAdvancedBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool Akregator::SettingsAdvancedBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
