#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settings_archive.ui'
**
** Created: 2012-11-10T12:12:15
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settings_archive.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Akregator::SettingsArchive as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Akregator::SettingsArchive::SettingsArchive( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SettingsArchive" );
    SettingsArchiveLayout = new QGridLayout( this, 1, 1, 0, 6, "SettingsArchiveLayout"); 

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    kcfg_ArchiveMode = new QButtonGroup( this, "kcfg_ArchiveMode" );
    kcfg_ArchiveMode->setColumnLayout(0, Qt::Vertical );
    kcfg_ArchiveMode->layout()->setSpacing( 6 );
    kcfg_ArchiveMode->layout()->setMargin( 11 );
    kcfg_ArchiveModeLayout = new QGridLayout( kcfg_ArchiveMode->layout() );
    kcfg_ArchiveModeLayout->setAlignment( Qt::AlignTop );

    rb_KeepAllArticles = new QRadioButton( kcfg_ArchiveMode, "rb_KeepAllArticles" );

    kcfg_ArchiveModeLayout->addMultiCellWidget( rb_KeepAllArticles, 0, 0, 0, 1 );

    rb_LimitArticleNumber = new QRadioButton( kcfg_ArchiveMode, "rb_LimitArticleNumber" );

    kcfg_ArchiveModeLayout->addWidget( rb_LimitArticleNumber, 1, 0 );

    rb_LimitArticleAge = new QRadioButton( kcfg_ArchiveMode, "rb_LimitArticleAge" );

    kcfg_ArchiveModeLayout->addWidget( rb_LimitArticleAge, 2, 0 );

    rb_DisableArchiving = new QRadioButton( kcfg_ArchiveMode, "rb_DisableArchiving" );

    kcfg_ArchiveModeLayout->addMultiCellWidget( rb_DisableArchiving, 3, 3, 0, 1 );

    kcfg_MaxArticleNumber = new KIntSpinBox( kcfg_ArchiveMode, "kcfg_MaxArticleNumber" );
    kcfg_MaxArticleNumber->setEnabled( FALSE );
    kcfg_MaxArticleNumber->setMaxValue( 1000000 );
    kcfg_MaxArticleNumber->setMinValue( 1 );
    kcfg_MaxArticleNumber->setLineStep( 10 );
    kcfg_MaxArticleNumber->setValue( 1000 );

    kcfg_ArchiveModeLayout->addWidget( kcfg_MaxArticleNumber, 1, 1 );

    kcfg_MaxArticleAge = new KIntSpinBox( kcfg_ArchiveMode, "kcfg_MaxArticleAge" );
    kcfg_MaxArticleAge->setEnabled( FALSE );
    kcfg_MaxArticleAge->setMaxValue( 1000000 );
    kcfg_MaxArticleAge->setMinValue( 1 );
    kcfg_MaxArticleAge->setValue( 30 );

    kcfg_ArchiveModeLayout->addWidget( kcfg_MaxArticleAge, 2, 1 );
    layout1->addWidget( kcfg_ArchiveMode );

    kcfg_DoNotExpireImportantArticles = new QCheckBox( this, "kcfg_DoNotExpireImportantArticles" );
    layout1->addWidget( kcfg_DoNotExpireImportantArticles );
    spacer1 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1->addItem( spacer1 );

    SettingsArchiveLayout->addLayout( layout1, 0, 0 );
    languageChange();
    resize( QSize(374, 203).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( rb_LimitArticleAge, SIGNAL( toggled(bool) ), kcfg_MaxArticleAge, SLOT( setEnabled(bool) ) );
    connect( rb_LimitArticleNumber, SIGNAL( toggled(bool) ), kcfg_MaxArticleNumber, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Akregator::SettingsArchive::~SettingsArchive()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Akregator::SettingsArchive::languageChange()
{
    setCaption( tr2i18n( "Archive" ) );
    kcfg_ArchiveMode->setTitle( tr2i18n( "Default Archive Settings" ) );
    rb_KeepAllArticles->setText( tr2i18n( "Keep all articles" ) );
    rb_LimitArticleNumber->setText( tr2i18n( "Limit feed archive size to:" ) );
    rb_LimitArticleAge->setText( tr2i18n( "Delete articles older than: " ) );
    rb_DisableArchiving->setText( tr2i18n( "Disable archiving" ) );
    kcfg_MaxArticleNumber->setSuffix( tr2i18n( " articles" ) );
    kcfg_MaxArticleNumber->setSpecialValueText( tr2i18n( "1 article" ) );
    kcfg_MaxArticleAge->setSuffix( tr2i18n( " days" ) );
    kcfg_MaxArticleAge->setSpecialValueText( tr2i18n( "1 day" ) );
    kcfg_DoNotExpireImportantArticles->setText( tr2i18n( "Do not expire important articles" ) );
}

/****************************************************************************
** Akregator::SettingsArchive meta object code from reading C++ file 'settings_archive.h'
**
** Created: Sat Nov 10 12:12:15 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "settings_archive.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *Akregator::SettingsArchive::className() const
{
    return "Akregator::SettingsArchive";
}

QMetaObject *Akregator::SettingsArchive::metaObj = 0;
static QMetaObjectCleanUp cleanUp_Akregator__SettingsArchive( "Akregator::SettingsArchive", &Akregator::SettingsArchive::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString Akregator::SettingsArchive::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsArchive", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString Akregator::SettingsArchive::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsArchive", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* Akregator::SettingsArchive::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"Akregator::SettingsArchive", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_Akregator__SettingsArchive.setMetaObject( metaObj );
    return metaObj;
}

void* Akregator::SettingsArchive::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Akregator::SettingsArchive" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool Akregator::SettingsArchive::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool Akregator::SettingsArchive::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool Akregator::SettingsArchive::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool Akregator::SettingsArchive::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
