#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settings_general.ui'
**
** Created: 2012-11-10T12:12:17
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settings_general.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Akregator::SettingsGeneral as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Akregator::SettingsGeneral::SettingsGeneral( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SettingsGeneral" );
    SettingsGeneralLayout = new QGridLayout( this, 1, 1, 0, 6, "SettingsGeneralLayout"); 

    groupBox3_2 = new QGroupBox( this, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_2->layout()->setSpacing( 6 );
    groupBox3_2->layout()->setMargin( 11 );
    groupBox3_2Layout = new QGridLayout( groupBox3_2->layout() );
    groupBox3_2Layout->setAlignment( Qt::AlignTop );

    kcfg_UseIntervalFetch = new QCheckBox( groupBox3_2, "kcfg_UseIntervalFetch" );

    groupBox3_2Layout->addMultiCellWidget( kcfg_UseIntervalFetch, 2, 2, 0, 1 );

    kcfg_UseNotifications = new QCheckBox( groupBox3_2, "kcfg_UseNotifications" );

    groupBox3_2Layout->addMultiCellWidget( kcfg_UseNotifications, 1, 1, 0, 1 );

    kcfg_ShowTrayIcon = new QCheckBox( groupBox3_2, "kcfg_ShowTrayIcon" );

    groupBox3_2Layout->addMultiCellWidget( kcfg_ShowTrayIcon, 0, 0, 0, 1 );

    textLabel1 = new QLabel( groupBox3_2, "textLabel1" );
    textLabel1->setEnabled( FALSE );

    groupBox3_2Layout->addWidget( textLabel1, 3, 0 );

    kcfg_AutoFetchInterval = new QSpinBox( groupBox3_2, "kcfg_AutoFetchInterval" );
    kcfg_AutoFetchInterval->setEnabled( FALSE );
    kcfg_AutoFetchInterval->setMaxValue( 3600 );
    kcfg_AutoFetchInterval->setMinValue( 1 );
    kcfg_AutoFetchInterval->setLineStep( 10 );

    groupBox3_2Layout->addWidget( kcfg_AutoFetchInterval, 3, 1 );

    SettingsGeneralLayout->addWidget( groupBox3_2, 0, 0 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    kcfg_MarkAllFeedsReadOnStartup = new QCheckBox( groupBox3, "kcfg_MarkAllFeedsReadOnStartup" );

    groupBox3Layout->addWidget( kcfg_MarkAllFeedsReadOnStartup, 0, 0 );

    kcfg_FetchOnStartup = new QCheckBox( groupBox3, "kcfg_FetchOnStartup" );

    groupBox3Layout->addWidget( kcfg_FetchOnStartup, 1, 0 );

    SettingsGeneralLayout->addWidget( groupBox3, 1, 0 );
    spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SettingsGeneralLayout->addItem( spacer1, 3, 0 );

    groupBox3_3 = new QGroupBox( this, "groupBox3_3" );
    groupBox3_3->setColumnLayout(0, Qt::Vertical );
    groupBox3_3->layout()->setSpacing( 6 );
    groupBox3_3->layout()->setMargin( 11 );
    groupBox3_3Layout = new QGridLayout( groupBox3_3->layout() );
    groupBox3_3Layout->setAlignment( Qt::AlignTop );

    kcfg_UseHTMLCache = new QCheckBox( groupBox3_3, "kcfg_UseHTMLCache" );

    groupBox3_3Layout->addWidget( kcfg_UseHTMLCache, 0, 0 );

    SettingsGeneralLayout->addWidget( groupBox3_3, 2, 0 );
    languageChange();
    resize( QSize(272, 382).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_UseIntervalFetch, SIGNAL( toggled(bool) ), kcfg_AutoFetchInterval, SLOT( setEnabled(bool) ) );
    connect( kcfg_UseIntervalFetch, SIGNAL( toggled(bool) ), textLabel1, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Akregator::SettingsGeneral::~SettingsGeneral()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Akregator::SettingsGeneral::languageChange()
{
    setCaption( tr2i18n( "General" ) );
    groupBox3_2->setTitle( tr2i18n( "Global" ) );
    kcfg_UseIntervalFetch->setText( tr2i18n( "&Use interval fetching" ) );
    kcfg_UseNotifications->setText( tr2i18n( "Use &notifications for all feeds" ) );
    QToolTip::add( kcfg_UseNotifications, QString::null );
    QWhatsThis::add( kcfg_UseNotifications, tr2i18n( "Select this if you want to get notified when there are new articles." ) );
    kcfg_ShowTrayIcon->setText( tr2i18n( "Show tra&y icon" ) );
    textLabel1->setText( tr2i18n( "Fetch feeds every:" ) );
    kcfg_AutoFetchInterval->setSuffix( tr2i18n( " minutes" ) );
    kcfg_AutoFetchInterval->setSpecialValueText( tr2i18n( "1 minute" ) );
    groupBox3->setTitle( tr2i18n( "Startup" ) );
    kcfg_MarkAllFeedsReadOnStartup->setText( tr2i18n( "Mark &all feeds as read on startup" ) );
    kcfg_FetchOnStartup->setText( tr2i18n( "Fetch all fee&ds on startup" ) );
    groupBox3_3->setTitle( tr2i18n( "Network" ) );
    kcfg_UseHTMLCache->setText( tr2i18n( "Use the &browser cache (less network traffic)" ) );
}

/****************************************************************************
** Akregator::SettingsGeneral meta object code from reading C++ file 'settings_general.h'
**
** Created: Sat Nov 10 12:12:17 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "settings_general.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *Akregator::SettingsGeneral::className() const
{
    return "Akregator::SettingsGeneral";
}

QMetaObject *Akregator::SettingsGeneral::metaObj = 0;
static QMetaObjectCleanUp cleanUp_Akregator__SettingsGeneral( "Akregator::SettingsGeneral", &Akregator::SettingsGeneral::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString Akregator::SettingsGeneral::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsGeneral", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString Akregator::SettingsGeneral::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Akregator::SettingsGeneral", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* Akregator::SettingsGeneral::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"Akregator::SettingsGeneral", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_Akregator__SettingsGeneral.setMetaObject( metaObj );
    return metaObj;
}

void* Akregator::SettingsGeneral::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Akregator::SettingsGeneral" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool Akregator::SettingsGeneral::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool Akregator::SettingsGeneral::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool Akregator::SettingsGeneral::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool Akregator::SettingsGeneral::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
